Bug 245307 - Wrong init script
Summary: Wrong init script
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: squid   
(Show other bugs)
Version: 4.5
Hardware: All Linux
low
low
Target Milestone: ---
: ---
Assignee: Martin Nagy
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-06-22 10:35 UTC by Michal Marciniszyn
Modified: 2016-07-26 23:46 UTC (History)
2 users (show)

Fixed In Version: RHBA-2008-0230
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-09 16:25:39 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch for squid.init (867 bytes, patch)
2008-02-05 17:29 UTC, Martin Nagy
no flags Details | Diff
Patch for squid.init (1.22 KB, patch)
2008-02-05 18:36 UTC, Martin Nagy
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2008:0230 normal SHIPPED_LIVE squid bug fix and enhancement update 2008-07-23 21:58:15 UTC

Description Michal Marciniszyn 2007-06-22 10:35:25 UTC
+++ This bug was initially created as a clone of Bug #245304 +++

Description of problem:
The squid init script returns some incorrect error codes and some part of it
prevent correct status command call. For example:
[ ${NETWORKING} = "no" ] && exit 0
[ -f /etc/squid/squid.conf ] || exit 0
[ -z "$SQUID" ] && exit 0

Version-Release number of selected component (if applicable):
all

How reproducible:
always

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
When fixing this bug, please obbey our init script guidelines and be sure that
status command is run correctly.
Our guidelines are on following two pages:
http://intranet.corp.redhat.com/ic/intranet/InitscriptsSpec.html
http://intranet.corp.redhat.com/ic/intranet/InitscriptGuidelines.html

For an example of the script that returns the error codes correctly and always
runs status see:
http://devserv.devel.redhat.com/~mmarcini/amd

This bug is tracked by 237789.

Comment 1 Martin Bacovsky 2007-08-21 13:32:34 UTC
Re-proposed to 4.7

Comment 5 Martin Nagy 2008-02-05 17:29:44 UTC
Created attachment 294023 [details]
Patch for squid.init

Patched init script will return correct codes and additionally, it will also
check if /usr/sbin/squid is executable.

Comment 6 Martin Nagy 2008-02-05 18:36:01 UTC
Created attachment 294030 [details]
Patch for squid.init

New one.

Comment 7 Martin Nagy 2008-02-05 19:08:55 UTC
Fix checked in CVS.

Comment 11 errata-xmlrpc 2008-04-09 16:25:39 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0230.html



Note You need to log in before you can comment on or make changes to this bug.